
User Interface - Bug #2779

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

./demo/calc-static-chars.p has the vertical scrollbar and its buttons layout is changed if buttons are

pressed

10/23/2015 09:54 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Greg Shah % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/23/2015 09:57 AM - Sergey Ivanovskiy

- File calc-static-chars.png added

- File web-calc-static-chars.png added

The scroll bars are present and the buttons layout is changed (there are white unfilled areas) if buttons are pressed. For the detailed look and feel

please look at the pictures.

#2 - 11/27/2015 01:52 PM - Greg Shah

- Assignee set to Greg Shah

- Target version set to Milestone 12

- Start date deleted (10/23/2015)

- % Done changed from 0 to 100

- Status changed from New to Closed

As of task branch 2677b revision 10976 this no longer occurs.  I'm not sure which update resolved it but we have made many improvements to the

scrolling and layout processing.  Some change from Eugenie, Hynek or Constantin was likely the reason for the improvement.

#3 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

calc-static-chars.png 19.8 KB 10/23/2015 Sergey Ivanovskiy

web-calc-static-chars.png 23 KB 10/23/2015 Sergey Ivanovskiy
